=== xbmc/settings/dialogs/Makefile ===
SRCS=GUIDialogContentSettings.cpp \
     GUIDialogSettings.cpp \

LIB=settings_dialogs.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
