=== debian/changelog ===
xbmc (2:13.2+dfsg1-4) unstable; urgency=medium

  * Version check is now removed from source, no need to remove it during the build
  * Fix suspend/hibernate with upower >= 0.99.1 (Closes: #767161)
  * Fix random failure in playing video using VDPAU (Closes: #742896)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 07 Nov 2014 23:52:10 +0100

xbmc (2:13.2+dfsg1-3) unstable; urgency=medium

  [ Balint Reczey ]
  * Use VDPAU in Libav hacks only when VDPAU support is enabled.
    Fixes FTBFS on arches without VDPAU. (Closes: #766190)
  * Ship xbmc-dbg package only on amd64 and i386 architectures.
    This saves place on mirrors and those two architectures are the most
    popular ones among bug submitters.
  * Use OpenGL and Bellagio OpenMAX Integration Layer on MIPS
  * Patch upstream to support MIPS
  * Refresh patches after adding MIPS support
  * Enable using SDL in configure
  * Use X11 and SDL on MIPS
  * Let configure fail on unknown architectures

  [ Andreas Cadhalpun ]
  * Fix FTBFS with packaged FFmpeg (Closes: #766680)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 08 Oct 2014 15:17:35 +0200

xbmc (2:13.2+dfsg1-2) unstable; urgency=medium

  * Provide debug symbols in a separate package (Closes: #763627)
  * Always pass --enable-debug to configure to generate debug symbols
  * Fix XBMC's VDPAU API usage with patch from Libav
    (Closes: #750199, #742896, #745060, #750603)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 06 Oct 2014 22:42:34 +0200

xbmc (2:13.2+dfsg1-1) unstable; urgency=low

  [ Ritesh Raj Sarraf ]
  * Ship systemd .services file (Closes: #751667)

  [ Balint Reczey ]
  * XBMC 13.2 Gotham
    - release notes: http://xbmc.org/xbmc-13-2-gotham-final-release
  * Refresh patches
  * libcwiid-dev is present only on Linux
  * Fall back to old location of DejaVuSans.ttf if needed.
    This helps backporting.
  * Fall back to old location of libhdhomerun includes if needed
  * Ship xbmc.service file as an example only
  * Really exclude version check addon from source tarball
  * Don't download RSS feed from XBMC.org by default
  * Remove obsolete files related to Windows build from source tarball

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 25 Sep 2014 10:36:54 +0200
